%define upstream_name    Parse-CPAN-Packages-Fast
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse CPAN's package index
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(CPAN::Version)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildArch:  noarch

%description
This is a largely API compatible rewrite of the Parse::CPAN::Packages
manpage.

Notable differences are

* * The method add_package of
  Parse::CPAN::Packages::Fast::Distribution is not implemented

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.70.0-2.mga4
+ Revision: 537572
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.70.0-1.mga4
+ Revision: 487278
- update to 0.07

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 371525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 255286
- update to 0.06

* Fri Feb 25 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 59573
- imported package perl-Parse-CPAN-Packages-Fast


* Fri Feb 25 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
